Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(65)

Issue 2071773002: openjpeg: Prevent a buffer overflow in opj_j2k_read_SQcd_SQcc. (Closed)

Created:
3 years, 3 months ago by Ke Liu
Modified:
3 years, 3 months ago
Reviewers:
Lei Zhang, Oliver Chang
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

openjpeg: Prevent a buffer overflow in opj_j2k_read_SQcd_SQcc. BUG=chromium:619405 R=ochang@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/338a6b75994eb148d429b7abccfffaf7ae9f9b55

Patch Set 1 : Prevent a buffer overflow in opj_j2k_read_SQcd_SQcc #

Patch Set 2 : update README.pdfium for libopenjpeg20 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -1 line) Patch
A third_party/libopenjpeg20/0016-read_SQcd_SQcc_overflow.patch View 1 chunk +15 lines, -0 lines 0 comments Download
M third_party/libopenjpeg20/README.pdfium View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/libopenjpeg20/j2k.c View 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 15 (5 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071773002/1
3 years, 3 months ago (2016-06-16 15:22:04 UTC) #2
commit-bot: I haz the power
Dry run: No L-G-T-M from a valid reviewer yet. CQ run can only be started ...
3 years, 3 months ago (2016-06-16 15:22:06 UTC) #4
Oliver Chang
Thanks for uploading this patch. Please update README.pdfium.
3 years, 3 months ago (2016-06-16 16:44:56 UTC) #6
Ke Liu
On 2016/06/16 16:44:56, Oliver Chang wrote: > Thanks for uploading this patch. Please update README.pdfium. ...
3 years, 3 months ago (2016-06-17 04:21:20 UTC) #7
Oliver Chang
On 2016/06/17 04:21:20, Ke Liu wrote: > On 2016/06/16 16:44:56, Oliver Chang wrote: > > ...
3 years, 3 months ago (2016-06-17 16:14:07 UTC) #8
Lei Zhang
On 2016/06/17 16:14:07, Oliver Chang wrote: > On 2016/06/17 04:21:20, Ke Liu wrote: > > ...
3 years, 3 months ago (2016-06-17 16:35:45 UTC) #9
Ke Liu
On 2016/06/17 16:35:45, Lei Zhang wrote: > On 2016/06/17 16:14:07, Oliver Chang wrote: > > ...
3 years, 3 months ago (2016-06-20 02:12:34 UTC) #10
Oliver Chang
lgtm
3 years, 3 months ago (2016-06-20 15:27:22 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071773002/20001
3 years, 3 months ago (2016-06-20 18:09:32 UTC) #13
commit-bot: I haz the power
3 years, 3 months ago (2016-06-20 18:23:50 UTC) #15
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://pdfium.googlesource.com/pdfium/+/338a6b75994eb148d429b7abccfffaf7ae9f...

Powered by Google App Engine
This is Rietveld 408576698